Debian Bug report logs - #602768
freebsd-make for non-kfreebsd systems

version graph

Package: freebsd-buildutils; Maintainer for freebsd-buildutils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-buildutils is src:freebsd-buildutils.

Reported by: Robert Millan <rmh@debian.org>

Date: Sun, 7 Nov 2010 21:33:24 UTC

Severity: wishlist

Tags: patch

Found in version freebsd-buildutils/8.1-1

Fixed in version freebsd-buildutils/8.2-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#602768; Package freebsd-buildutils. (Sun, 07 Nov 2010 21:33:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 07 Nov 2010 21:33:27 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freebsd-make for non-kfreebsd systems
Date: Sun, 07 Nov 2010 22:25:39 +0100
[Message part 1 (text/plain, inline)]
Package: freebsd-buildutils
Version: 8.1-1
Severity: wishlist
Tags: patch

This fixes a problem with freebsd-make on non-kfreebsd systems.  Currently
it obtains architecture info from uname() in runtime, which doesn't always
match with the names expected by FreeBSD build system.

When trying to build kFreeBSD on GNU/Linux, this results in "no such
directory" errors for paths containing "x86_64" (instead of "amd64").

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages freebsd-buildutils depends on:
ii  bsdmainutils                8.0.13       collection of more utilities from 
ii  libbsd0                     0.2.0-1      utility functions from BSD systems
ii  libc6                       2.11.2-6     Embedded GNU C Library: Shared lib
ii  make                        3.81-8       An utility for Directing compilati
ii  original-awk                2010-05-23-1 The original awk described in "The
ii  patchutils                  0.3.1-2      Utilities to work with patches
ii  unzip                       6.0-4        De-archiver for .zip files

freebsd-buildutils recommends no packages.

freebsd-buildutils suggests no packages.

-- no debconf information
[non-kfreebsd.diff (text/x-diff, attachment)]

Added indication that bug 602768 blocks 602770 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 07 Nov 2010 21:48:11 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 20 Feb 2011 00:51:24 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Sun, 20 Feb 2011 00:51:24 GMT) Full text and rfc822 format available.

Message #12 received at 602768-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 602768-close@bugs.debian.org
Subject: Bug#602768: fixed in kfreebsd-8 8.2-1
Date: Sun, 20 Feb 2011 00:48:29 +0000
Source: kfreebsd-8
Source-Version: 8.2-1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-1.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-1.diff.gz
kfreebsd-8_8.2-1.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-1.dsc
kfreebsd-8_8.2.orig.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2.orig.tar.gz
kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-1_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602768@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Feb 2011 23:01:52 +0100
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 583848 600061 602768 608995 609681 611476 613312
Changes: 
 kfreebsd-8 (8.2-1) unstable; urgency=low
 .
   [ Robert Millan ]
   * New upstream release.
     - 000_adaptive_machine_arch.diff: Remove (merged).
     - 000_ata.diff: Remove (merged).
     - 000_ufs_lookup.diff: Remove (merged).
     - 004_xargs.diff: Resync.
     - 102_POLL_HUP.diff: Remove (merged).
     - 104_linprocfs.diff: Remove (merged).
     - 904_dev_full.diff: Resync.
     - 999_firmware.diff: Resync.
   * Make this package buildable on GNU/Linux. Closes: #602768.
   * MIPS port (with malta flavor).
 .
   [ Petr Salinger ]
   * New upstream release, fixes local DoS. Closes: #611476, #613312.
     - 105_apm_amd64.diff: Resync.
     - 907_cpu_class.diff: Resync.
   * Extend 108_teken_utf8_table.diff for middle-dot l/L.
     Closes: #609681. Thanks to Robert Millan.
   * Add xen flavor on i386.
   * Enable quota.  Closes: #608995.
 .
   [ Aurelien Jarno ]
   * Enable CARP, PF and PFSYNC.  Closes: #583848, #600061.
Checksums-Sha1: 
 7307bed587381eac12740515773636f3a7baa2b6 2032 kfreebsd-8_8.2-1.dsc
 cd98de0934c8df9ef8ee31573be51a11190f6bc9 28312093 kfreebsd-8_8.2.orig.tar.gz
 29683539400035b2e94e305f5434a6d269ce5a97 84740 kfreebsd-8_8.2-1.diff.gz
 3a2ee3a390b74704fe5062cedb8a50df27c2597b 18710732 kfreebsd-source-8.2_8.2-1_all.deb
 6018961e91370a42632b3f99a476fee2a33d0f3a 7294248 kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
 fe1f877eed14666072d4cc92dfd7285cbf45a1c5 11120716 kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 909bb921117e8ca245c0ca1cdb5e393693912df2 47750 kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
 e6789aefe3142011680b6685d55904d64b1720ac 320276 kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 dad55bd03352d565ad0e12ebc81e07aae33cb664 47752 kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb
Checksums-Sha256: 
 e078af2c49ef5657ae374f9c4f7a2dd85ebdef379973d8b8a8e08eea3cd0fb37 2032 kfreebsd-8_8.2-1.dsc
 1a7608f5922236a89c1a40f83969d9c1a1c4d83ba63a1951b8edb35791a7ed01 28312093 kfreebsd-8_8.2.orig.tar.gz
 bd884ed8af212cf7da0d0b0f93dff6ad2e057291ef262c9736da3104b536ef2b 84740 kfreebsd-8_8.2-1.diff.gz
 0a97ff52b340c4a1e314f9ddc0f3c31d9529aab759369032e90b55acd3c11421 18710732 kfreebsd-source-8.2_8.2-1_all.deb
 51c18c841f7baf7b92ca2d087a1eff1e075e79a351454a5337c646e939279f1b 7294248 kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
 a44a3c355965ae359159cce6421d5ac5403364fc8dc3f1ba57c36f40c14ba164 11120716 kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 e487a945273e2824bb4b2470b15446da43fad15dfe3ef03356451e627566021e 47750 kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
 af3a757788908512073ccc5992cde3a8b1bfff63305eb7a1f64caf1efbc9a0a8 320276 kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 b22ee70f659bcead3e163b3edf082853c38de1ee6adcfc7d4b7c2a81cc46e145 47752 kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb
Files: 
 efa0b2457ff4afaf4d3b382903a8e564 2032 kernel optional kfreebsd-8_8.2-1.dsc
 cfbb3358defa899261ac9de232c8210b 28312093 kernel optional kfreebsd-8_8.2.orig.tar.gz
 83687c685febf485cdec2544a007e37f 84740 kernel optional kfreebsd-8_8.2-1.diff.gz
 a5db016f0219a3d261c25ce873fb611f 18710732 kernel optional kfreebsd-source-8.2_8.2-1_all.deb
 a5481a97fd9f872731f038909fce48f6 7294248 kernel optional kfreebsd-headers-8.2-1_8.2-1_kfreebsd-amd64.deb
 36d6b5ddd8630ab29c92677388d25181 11120716 kernel optional kfreebsd-image-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 561bfce83164aa42e464645be92a91ed 47750 kernel optional kfreebsd-image-8-amd64_8.2-1_kfreebsd-amd64.deb
 6aedb97e46ec292be51e36cff1056761 320276 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-1_kfreebsd-amd64.deb
 59a23f2211c2c8e77d1ecd92e6a8d990 47752 kernel optional kfreebsd-headers-8-amd64_8.2-1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFNYEMxw3ao2vG823MRAhIlAJ9r3YPgcAAJ4h27UUSypVq4WaDlJgCcDYia
IPG+whROE+F1pwBcvnyA9Bc=
=hmpk
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 20 Feb 2011 07:06:09 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions kfreebsd-8/8.2-1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sun, 20 Feb 2011 18:51:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Mar 2011 07:39:57 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 29 May 2011 20:06:04 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 May 2011 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Tue, 31 May 2011 02:51:09 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Tue, 31 May 2011 02:51:09 GMT) Full text and rfc822 format available.

Message #27 received at 602768-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 602768-close@bugs.debian.org
Subject: Bug#602768: fixed in freebsd-buildutils 8.2-1
Date: Tue, 31 May 2011 02:47:13 +0000
Source: freebsd-buildutils
Source-Version: 8.2-1

We believe that the bug you reported is fixed in the latest version of
freebsd-buildutils, which is due to be installed in the Debian FTP archive:

freebsd-buildutils_8.2-1.debian.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1.debian.tar.gz
freebsd-buildutils_8.2-1.dsc
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1.dsc
freebsd-buildutils_8.2-1_amd64.deb
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2-1_amd64.deb
freebsd-buildutils_8.2.orig.tar.gz
  to main/f/freebsd-buildutils/freebsd-buildutils_8.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602768@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated freebsd-buildutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 May 2011 04:20:37 +0200
Source: freebsd-buildutils
Binary: freebsd-buildutils
Architecture: source amd64
Version: 8.2-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 freebsd-buildutils - Utilities for building FreeBSD sources
Closes: 493841 493898 594183 602768
Changes: 
 freebsd-buildutils (8.2-1) unstable; urgency=low
 .
   [ Robert Millan ]
   * 10_non_kfreebsd.diff: Make freebsd-make usable on non-kFreeBSD
     systems.  (Closes: #594183, #602768)
 .
   [ Guillem Jover ]
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Switch to source format “3.0 (quilt)”.
     - Remove quilt from Build-Depends.
     - Remove patch target in debian/rules.
     - Remove now unneeded README.source.
     - Refresh all patches.
   * Use -C option for pmake instead of manually changing dir.
   * Stop Build-Depending on pmake, bootstrap freebsd-make using GNU make
     and use it as pmake instead of using it from the pmake package.
   * Switch to debhelper compatibility level 7.
     - Use dh_prep instead of “dh_clean -k”.
   * Only use MACHINE_ARCH in freebsd-make if it's defined.
   * Add support for Multi-Arch directories to freebsd-make:
     - Do not switch LIBDIR yet, the dynamic linker does not have the
       correct paths for i386 based architectures.
     - Add builtin MACHINE_MULTIARCH make variable.
   * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
   * Line-wrap CFLAGS variable in debian/rules.
   * Install binaries directly to /usr/lib/freebsd instead of relocating them
     from /usr/bin and /usr/sbin.
   * Install the man pages. (Closes: #493898)
   * Change ‘unix’ freebsd-make variable to “We run Debian, not UNIX.” and
     remove ‘.FreeBSD’ freebsd-make variable. (Closes: #493841)
   * Intersperse Depends description comments between the actual dependencies.
   * Do not install profile and libfl.a hardlinks for freebsd-lex libln.a.
Checksums-Sha1: 
 418917fb3152c0384dbcf2973440a6ecf23e1523 1316 freebsd-buildutils_8.2-1.dsc
 c0824acfac1445e568d5a82cdf9ea206a861fc52 750699 freebsd-buildutils_8.2.orig.tar.gz
 3c8a23ae9c2528ebdc4b7b31e758f65a7b643125 31049 freebsd-buildutils_8.2-1.debian.tar.gz
 ae546d9c2b75f3cc883d0f8bb91843fc881e7b07 528610 freebsd-buildutils_8.2-1_amd64.deb
Checksums-Sha256: 
 5bf65e2de9750224aa52e501df46be7aca56dfdfe5d7942afc7832fc57206b02 1316 freebsd-buildutils_8.2-1.dsc
 096819d3611b43526254a867da327fa5b2f53b9cb5085cc8e179654e28b87052 750699 freebsd-buildutils_8.2.orig.tar.gz
 bb718e7911de75167b2cff1a3710ea9efca8476a4efaee331eb19cb941aaf955 31049 freebsd-buildutils_8.2-1.debian.tar.gz
 d857bd00f6c960fd9103a56bd571b88f1fec5cb8d98a35d0acb17dd1a6f119f3 528610 freebsd-buildutils_8.2-1_amd64.deb
Files: 
 63cb75a6c75ac4bc9a4a0eeac830d7c6 1316 devel extra freebsd-buildutils_8.2-1.dsc
 714fffaa2e4d168a5d66e080d17136e8 750699 devel extra freebsd-buildutils_8.2.orig.tar.gz
 24e54a2ebc5e1097be81b59ec83df213 31049 devel extra freebsd-buildutils_8.2-1.debian.tar.gz
 06e1603ccc392176ce17d1550f4c68ff 528610 devel extra freebsd-buildutils_8.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3kUQsACgkQuW9ciZ2SjJsk7wCfZ/aRW2o6Tk3X6D5EPpjJpLBa
qM8AmwTOM5CC3wqq+igHQT3CSmgeGIZo
=PslZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jul 2011 07:29:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:27:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.